Subject: [lmap] comment on draft-akhter-lmap-framework-00

From: <[email-masked]>
Date: Thu, 25 Jul 2013 15:02:08 +0100

<< One proposal for making use of both active and passive measurement is
   to allow the Measurement Agent to make local decisions on which
   technique to use to deliver a particular metric-- as long as the
   specific method is included in the report.>>

interesting idea of allowing the MA to choose what Measurement Method it does.

However, I think it is considerably more complex than the Controller telling the MA what to do, and think we should exclude it (at least in the initial work). 

For example, in terms of non-technical issues, if there's some problem with a third party (perhaps the Measurement Peer), then who's gets the blame?  
It would also make the MA more complex (I'm hoping MA functionality is simple, embedded and widespread)

I'd be quite against a MA having a free choice between an active and passive measurement - since passive measurements raise much harder Data Protection (privacy) issues. 

Best wishes
phil